document.addEventListener('DOMContentLoaded', () => {
  const slides = document.querySelectorAll('.slideshowSlide');
  
  slides.forEach(slide => {
    slide.addEventListener('touchstart', handleTouchStart);
    slide.addEventListener('touchend', handleTouchEnd);
  });
  
  let touchStartX = 0;
  let touchEndX = 0;
  
  function handleTouchStart(e) {
    touchStartX = e.changedTouches[0].screenX;
  }
  
  function handleTouchEnd(e) {
    touchEndX = e.changedTouches[0].screenX;
    handleSwipe();
  }
  
  function handleSwipe() {
    const swipeThreshold = 50;
    const diff = touchStartX - touchEndX;
    
    if (Math.abs(diff) > swipeThreshold) {
      if (diff > 0) {
        document.querySelector('.slideshowNav .next')?.click();
      } else {
        document.querySelector('.slideshowNav .prev')?.click();
      }
    }
  }
});